<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8"/>
	<title>多个元素变透明度</title>
	<style type="text/css">
		div{
			display:inline-block;
			width:100px;
			height: 100px;
			margin:10px;
			background: red;
			filter:alpha(opacity:30);
			opacity:0.3;
		}
	</style>
	<script>
		window.onload=function(){
			oDiv=document.getElementsByTagName('div');
			oDiv.timer=null;
			
			for(var i=0;i<oDiv.length;i++){
				oDiv[i].alpha=30;
				oDiv[i].onmouseover=function(){
					startMove(this,100);
				};
				oDiv[i].onmouseout=function(){
					startMove(this,30);
				}
			}
		};
		function startMove(obj,iTarget){
			clearInterval(obj.timer);
			obj.timer=setInterval(function(){
				var speed=(iTarget-obj.alpha)/6;
				speed=speed>0?Math.ceil(speed):Math.floor(speed);
				if(iTarget==obj.alpha){
					clearInterval(obj.timer);
				}else{
					obj.alpha+=speed;
					obj.style.filter='alpha(opacity:'+obj.alpha+')';
					obj.style.opacity=obj.alpha/100;
				}
			},30);
		};
	</script>
</head>
<body>
	<div id="div1"></div>
	<div id="div2"></div>
	<div id="div3"></div>
</body>
</html>